org.eclipse.jetty.ajp

## Class Ajp13Parser.Input

- java.lang.Object
- - java.io.InputStream
  - - javax.servlet.ServletInputStream
    - - org.eclipse.jetty.ajp.Ajp13Parser.Input

All Implemented Interfaces:
  Closeable, AutoCloseable

Enclosing class:
  Ajp13Parser

    public static class Ajp13Parser.Input
    extends javax.servlet.ServletInputStream

TODO Make this common with HttpParser

### Constructor Summary

Constructors
Constructor and Description
`Ajp13Parser.Input(Ajp13Parser parser, long maxIdleTime)`

### Method Summary

Methods
`int` `read()`
`int` `read(byte[] b, int off, int len)`

### Methods inherited from class javax.servlet.ServletInputStream

`readLine`

### Methods inherited from class java.io.InputStream

`available, close, mark, markSupported, read, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Ajp13Parser.Input

    public Ajp13Parser.Input(Ajp13Parser parser,
                     long maxIdleTime)

### Method Detail

#### read

    public int read()
             throws IOException

Specified by:
  `read` in class `InputStream`
Throws:
  `IOException`

#### read

    public int read(byte[] b,
           int off,
           int len)
             throws IOException

Overrides:
  `read` in class `InputStream`
Throws:
  `IOException`